"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingHudVotingCompleteEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a meeting is finished, and when the ejected player is determined.
 */
class MeetingHudVotingCompleteEvent extends events_1.BasicEvent {
    constructor(room, meetinghud, message, 
    /**
     * Whether a tie was reached in votes.
     */
    tie, 
    /**
     * The voting state of every player in the meeting.
     */
    voteStates, 
    /**
     * The player that was ejected. Undefined if a tie was reached
     * or if players voted to skip.
     */
    ejected) {
        super();
        this.room = room;
        this.meetinghud = meetinghud;
        this.message = message;
        this.tie = tie;
        this.voteStates = voteStates;
        this.ejected = ejected;
        this.eventName = "meeting.votingcomplete";
    }
}
exports.MeetingHudVotingCompleteEvent = MeetingHudVotingCompleteEvent;
MeetingHudVotingCompleteEvent.eventName = "meeting.votingcomplete";
//# sourceMappingURL=VotingComplete.js.map