"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerCheckNameEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player requests to have their name set. Only emitted if the
 * client is the host.
 */
class PlayerCheckNameEvent extends events_1.CancelableEvent {
    constructor(room, player, message, 
    /**
     * The original name that the player asked for.
     */
    originalName, 
    /**
     * The altered name, i.e. the original name was taken.
     */
    alteredName) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.originalName = originalName;
        this.alteredName = alteredName;
        this.eventName = "player.checkname";
    }
    /**
     * Change the altered name for the player to have set.
     * @param name The name to set.
     */
    setName(name) {
        this.alteredName = name;
    }
}
exports.PlayerCheckNameEvent = PlayerCheckNameEvent;
PlayerCheckNameEvent.eventName = "player.checkname";
//# sourceMappingURL=CheckName.js.map